#include "HeightMap.hh"
#include <iostream>
#include <ostream>

int main(int argc, const char* argv[])
{
    const char* filepath = argv[1];
    HeightMap map(filepath); 
    
    std::cout << "x: " << map.width << "    y: " << map.height << "\n";
    std::cout << "max: " << map.max << "    min: " << map.min << "\n";

    for (int y = 0; y < map.height; y++)
    {
        for (int x = 0; x < map.width; x++)
        {
            std::cout << map.get_pixel(x, y) << " ";
        }
        std::cout << "\n";
    }
    std::cout << "\nend🤡\n";
}